@REM
@REM   IKAYAKI DEPLOYMENT BUILDER FOR DEBUG RELEASES
@REM   ---------------------------------------------
@REM
@REM   Prerequisites: ikayaki has been compiled in/for debug mode
@REM
@REM   Programs required: none (already included in CVS, .\build directory)
@REM
@REM   Does: assembles all files necessary for user deployment into
@REM   the directory 'build', packs ikayaki classes into a .jar file,
@REM   converts the .jar to a .exe, and creates an installer exe
@REM
@REM   Run:  make_DEBUG_installer.bat > assemblyLog.txt
@REM
@REM   01/2006 jw - automated jar, exe and installer creation

echo x | make_DEBUG_jar.bat
cd build
@echo on

@REM --- unpack JRE (jre1.5.0_02.zip) into .\build\jre for inclusion into setup
if exist .\jre\README.txt goto mkSkipJRE
copy jre1.5.0_02.zip .\jre
cd jre
jar xf jre1.5.0_02.zip
del jre1.5.0_02.zip
cd ..
:mkSkipJRE

@REM --- use Nullsoft installer script to generate setup exe package
.\NSIS-2.14\makensis.exe ikayaki-debug.nsi

@echo Done!
pause