@REM
@REM   MAVIS DEPLOYMENT BUILDER
@REM   --------------------------
@REM
@REM   Prerequisites: mavis has been compiled, make_Mavis_jar.bat been run
@REM

cd build
@echo on

@REM --- unpack JRE (jre1.5.0_02.zip) into .\build\jre for inclusion into setup
if exist .\jre\README.txt goto mkSkipJRE
copy jre1.5.0_02.zip .\jre
cd jre
jar xf jre1.5.0_02.zip
del jre1.5.0_02.zip
cd ..
:mkSkipJRE

@REM --- use Nullsoft installer script to generate setup exe package
copy /Y .\lib\jutil.dll .\build
cd build
.\NSIS-2.14\makensis.exe mavis-with-jre.nsi
cd ..

@echo Done!
pause